package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

public enum EPayerType implements BaseEnum<String, EPayerType> {

    ADAPAY("adapay"),
    YEEPAY("yeepay"),
    ORIGINAL("original"),
    ;

    @EnumValue
    private String code;

    private String desc;

    EPayerType(String desc) {
        this.code = this.name();
        this.desc = desc;
    }

    @Override
    public String getCode() {
        return name();
    }

    public String getDesc() {
        return desc;
    }
}
